﻿@model IEnumerable<lap.tel.com.Models.AppUser>
@{
    ViewData["Title"] = "Lista użytkowników";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Lista uzytkowników</h2>

<p>
    <a class="btn btn-dark" asp-controller="Admin" asp-action="Dashboard">Powrót</a>
</p>

<table class="table">
    <thead>
        <tr>
            <th>ID</th>
            <th>Email</th>
            <th>Imię</th>
            <th>Nazwisko</th>
            <th>Numer Telefonu</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var user in Model)
        {
            <tr>
                <td>@user.Id</td>
                <td>@user.Email</td>
                <td>@user.Imie</td>
                <td>@user.Nazwisko</td>
                <td>@user.NumerTel</td>
                <td>
                    <a class="btn btn-light btn-sm" asp-action="UserDetails" asp-route-id="@user.Id" class="btn btn-info">Szczegóły</a>
                    <a class="btn btn-danger btn-sm" asp-action="UserDelete" asp-route-id="@user.Id" class="btn btn-danger">Usuń</a>
                </td>
            </tr>
        }
    </tbody>
</table>